<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        #menu ul {
            margin: 0;
            padding: 0;
            list-style: none;
        }

        #menu ul li {
            background-color: grey;
            position: relative;
            float: left;
            margin: 0;
            padding: 0;
            width: 100px;
            text-align: center;
        }

        #menu ul a {
            display: block;
            color: #fff;
            text-decoration: none;
            font-weight: 100;
            font-size: 20px;
            padding: 10px;
        }

        #menu ul li a:link,
        #menu ul li a:visited {
            color: white;
            text-decoration: none;
        }

        #menu ul li:hover {
            color: #000;
            background-color: #eaeaea;
        }

        #menu ul ul {
            display: none;
            position: absolute;
            background: grey;
            color: white;
            padding: 0;
        }

        #menu ul ul li {
            float: none;
            width: 100px;
            text-align: center;
        }


        #menu ul ul a {
            line-height: 120%;
            padding: 10px 15px;
        }

        #menu ul li:hover>ul {
            display: block;
        }
    </style>
</head>

<body>
    <nav id="menu">
        <ul>
            <li><a href="#">Inicio</a></li>
            <li><a href="#">Cursos</a>
                <ul>
                    <li><a href="">HTML</a>
                        <a href="">CSS</a>
                        <a href="">Javascript</a>
                    </li>
                </ul>
            </li>
            <li><a href="#">Tutoriales</a></li>
            <li><a href="#">Contacto</a></li>
        </ul>
    </nav>
</body>

</html>